Bug 239161 (perl-Net-Libdnet) - Review Request: perl-Net-Libdnet - Perl Interface to libdnet
Summary: Review Request: perl-Net-Libdnet - Perl Interface to libdnet
Status: CLOSED NEXTRELEASE
Alias: perl-Net-Libdnet
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Chris Weyl
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: perl-Net-Packet
TreeView+ depends on / blocked
 
Reported: 2007-05-05 13:31 UTC by Sindre Pedersen Bjørdal
Modified: 2011-03-04 17:16 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-27 04:49:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cweyl: fedora-review+
petersen: fedora-cvs+


Attachments (Terms of Use)

Description Sindre Pedersen Bjørdal 2007-05-05 13:31:16 UTC
Spec URL: http://folk.ntnu.no/sindrb/packages/green_nyc/perl-Net-Libdnet.spec
SRPM URL: http://folk.ntnu.no/sindrb/packages/green_nyc/perl-Net-Libdnet-0.01-1.fc7.src.rpm

Description:
perl-Net-Libdnet provides perl bindings to the dnet library

Comment 1 Chris Weyl 2007-05-09 14:30:27 UTC
In %files, %{perl_vendorarch}/Net/* should be %{perl_vendorarch}/Net.

Missing br's on:
    perl(ExtUtils::MakeMaker)
    perl(Test::More)

Fix those two items, and I'll approve.

+ source files match upstream:
 cec04f6a07cf9e9ec90077c7f3970ffc  Net-Libdnet-0.01.tar.gz
 cec04f6a07cf9e9ec90077c7f3970ffc  ../Net-Libdnet-0.01.tar.gz
+ package meets naming and versioning guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ dist tag is present.
+ build root is correct.
+ license field matches the actual license.
+ license is open source-compatible.  License text included in package.
+ latest version is being packaged.
X BuildRequires are proper.
+ compiler flags are appropriate.
+ %clean is present.
+ debuginfo package looks complete.
+ rpmlint is silent.
+ final provides and requires are sane:
 ** perl-Net-Libdnet-0.01-1.fc6.x86_64.rpm
 == rpmlint
 == provides
 Libdnet.so()(64bit)  
 perl(Net::Libdnet) = 0.01
 perl-Net-Libdnet = 0.01-1.fc6
 == requires
 libc.so.6()(64bit)  
 libc.so.6(GLIBC_2.2.5)(64bit)  
 libc.so.6(GLIBC_2.4)(64bit)  
 libdnet.so.1()(64bit)  
 perl >= 0:5.006
 perl(:MODULE_COMPAT_5.8.8)  
 perl(AutoLoader)  
 perl(Carp)  
 perl(DynaLoader)  
 perl(Exporter)  
 perl(strict)  
 perl(warnings)  
 ** perl-Net-Libdnet-debuginfo-0.01-1.fc6.x86_64.rpm
 == rpmlint
 == provides
 Libdnet.so.debug()(64bit)  
 perl-Net-Libdnet-debuginfo = 0.01-1.fc6
 == requires
+ %check is present and all tests pass:
 All tests successful.
 Files=10, Tests=59,  1 wallclock secs ( 0.26 cusr +  0.16 csys =  0.42 CPU)
+ no shared libraries are added to the regular linker search paths.
X owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets present.
+ code, not content.
+ documentation is small, so no -docs subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.
+ no headers.
+ no pkgconfig files.
+ no libtool .la droppings.
+ not a GUI app.

Comment 2 Sindre Pedersen Bjørdal 2007-05-09 15:22:03 UTC
Updated: 

- Added missing BRs
- Fixed %files list

Spec URL: http://folk.ntnu.no/sindrb/packages/green_nyc/perl-Net-Libdnet.spec
SRPM URL:
http://folk.ntnu.no/sindrb/packages/green_nyc/perl-Net-Libdnet-0.01-2.fc7.src.rpm

Comment 3 Chris Weyl 2007-05-09 16:05:07 UTC
APPROVED

Comment 4 Sindre Pedersen Bjørdal 2007-05-09 21:50:16 UTC
New Package CVS Request
=======================
Package Name: perl-Net-Libdnet
Short Description: Perl Interface to libdnet
Owners: foolish@guezz.net
Branches: FC-5 FC-6 EL-4 EL-5
InitialCC: jaa@redhat.com



Comment 5 Sindre Pedersen Bjørdal 2007-05-23 15:04:25 UTC
Seems the F7 branch wasn't created during merge, please add it.


New Package CVS Request
=======================
Package Name: perl-Net-Libdnet
Short Description: Perl Interface to libdnet
Owners: foolish@guezz.net
Branches: FC-5 FC-6 EL-4 EL-5 F-7

Comment 6 Jens Petersen 2007-05-27 04:49:37 UTC
F-7 added


Note You need to log in before you can comment on or make changes to this bug.